Subject: Re: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Jessica" <[email-masked]>
Date: Thu, 20 Nov 2014 11:26:28 -0500

Hello.
I didn't have your phone number so I am hoping you wouldn't mind contacting me.  I will be happy to answer any questions and get you pricing.  Please call me at 877-321-4144 ext.302.
Thank you,
Lorenda
LLPS

From: LLPS 
Sent: Wednesday, November 19, 2014 2:16 PM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Jessica 

Company: Schlosser and Associates

E-mail Address: [email-masked]

Telephone: Not specified

Message: I am currently looking for a new company to get our labor law posters
from for 2015. not happy with the company we are using currently. I
would love to hear back from someone, please feel free to email me
some pricing or call me with any available information. We are a
mechanical contractor located in Newark, Delaware. Thank you. 

Request generated on November 19th, 2014 at 2:16 PM EST from the IP address 68.81.149.60